%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

%define         apinum     %{version}
%define         libname    %mklibname %{name} %{apinum}
%define         develname  %mklibname -d %{name} %{apinum}
%define         staticname %mklibname -d -s %{name} %{apinum}

Name:           itcl
Version:        4.0.4
Release:        %mkrel 1
Summary:        Object oriented extensions to Tcl and Tk
Group:          Development/Other
License:        TCL
URL:            http://sourceforge.net/projects/incrtcl/files
Source0:        %{name}%{version}.tar.gz
Patch0:         itcl-4.0.4-soname.patch
Patch1:         itcl-4.0.4-findinit.patch

BuildRequires:  tcl-devel

%description
[incr Tcl] is Tcl extension that provides object-oriented features that are
missing from the Tcl language.


%package -n %{libname}
Summary: Library for linking against itcl
Group:   System/Libraries
Requires: %{name} = %{version}-%{release}
Conflicts: %{name} <= 3.4
Obsoletes: %{name} <= 3.4

%description -n %{libname}
%{summary}.

%package -n %{develname}
Summary:  Development headers for linking against itcl
Group:    Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: lib%{name}%{apinum}-devel = %{version}-%{release}
Conflicts: %{name}-devel <= 3.4
Obsoletes: %{name}-devel <= 3.4

%description -n %{develname}
%{summary}.


%package -n %{staticname}
Summary:  Static library for linking against itclstub
Group:    Development/Other
Requires: %{libname} = %{version}-%{release}
Provides:  %{name}-static-devel = %{version}-%{release}
Provides:  lib%{name}-static-devel = %{version}-%{release}
Conflicts: %{name}-devel <= 3.4
Obsoletes: %{name}-devel <= 3.4

%description -n %{staticname}
%{summary}.


%prep
%setup -q -n %{name}%{version}
%patch0 -p1 -b .soname
%patch1 -p1 -b .find


%build

autoreconf -fi
%configure2_5x  --disable-rpath \
                --enable-symbols \
                --libdir=%{tcl_sitearch} \
                --datadir=%{tcl_sitelib}
%make 


%install
%make_install

chmod 755 %{buildroot}%{tcl_sitearch}/%{name}%{apinum}/lib%{name}%{apinum}.so

pushd %{buildroot}%{_libdir}
%__ln_s %{tcl_sitearch}/%{name}%{apinum}/lib%{name}%{apinum}.so .
popd

%files
%dir %{tcl_sitearch}
%{tcl_sitearch}/%{name}%{apinum}/*.tcl
%{_mandir}/mann/*
%doc license.terms


%files -n %{libname}
%{tcl_sitearch}/%{name}%{apinum}/*.so


%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{tcl_sitearch}/%{name}%{apinum}/itclConfig.sh

%files -n %{staticname}
%{tcl_sitearch}/%{name}%{apinum}/*.a


%changelog
* Sun Mar 27 2016 eatdirt <eatdirt> 4.0.4-1.mga6
+ Revision: 995706
- Upgrade to version 4.0.4

* Thu Feb 11 2016 umeabot <umeabot> 3.4.2-4.mga6
+ Revision: 954655
- Mageia 6 Mass Rebuild

* Sun Oct 04 2015 eatdirt <eatdirt> 3.4.2-3.mga6
+ Revision: 886133
- Rebuild for tcl8.6

* Thu Sep 24 2015 eatdirt <eatdirt> 3.4.2-2.mga6
+ Revision: 883068
- Add missing Provides

* Thu Sep 24 2015 eatdirt <eatdirt> 3.4.2-1.mga6
+ Revision: 882522
- Upgrade to version 3.4.2, add api name

* Wed Oct 15 2014 umeabot <umeabot> 3.4-4.mga5
+ Revision: 750724
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4-3.mga5
+ Revision: 680580
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.4-2.mga4
+ Revision: 531145
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 joequant <joequant> 3.4-1.mga4
+ Revision: 462214
- imported package itcl

